<div class="theme-offer">
   <?php
        // Check if the demo import has been completed
        $building_contractor_demo_import_completed = get_option('building_contractor_demo_import_completed', false);

        // If the demo import is completed, display the "View Site" button
        if ($building_contractor_demo_import_completed) {
            echo '<br>';
            echo '<div class="success">Demo Import Successful</div>';
            echo '<br>';
            echo '<hr>';
            echo '<br>';
            echo '<span>' . esc_html__( 'You can now visit your site or customize it further.', 'building-contractor' ) . '</span>';
            echo '<br>';
            echo '<br>';
            echo '<br>';
            echo '<div class="view-site-btn">';
            echo '<a href="' . esc_url(home_url()) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">View Site</a>';
            echo '<a href="' . esc_url( admin_url('customize.php') ) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">Customize Demo Content</a>';
            echo '</div>';
        }
    if ( isset( $_POST['submit'] ) ) {
        echo '<div class="plugin-notice">';
            // Check if Classic Blog Grid plugin is installed
            if (!is_plugin_active('classic-blog-grid/classic-blog-grid.php')) {
                // Plugin slug and file path for Classic Blog Grid
                $building_contractor_plugin_slug = 'classic-blog-grid';
                $building_contractor_plugin_file = 'classic-blog-grid/classic-blog-grid.php';
            
                // Check if Classic Blog Grid is installed and activated
                if ( ! is_plugin_active( $building_contractor_plugin_file ) ) {
            
                    // Check if Classic Blog Grid is installed
                    $building_contractor_installed_plugins = get_plugins();
                    if ( ! isset( $building_contractor_installed_plugins[ $building_contractor_plugin_file ] ) ) {
            
                        // Include necessary files to install plugins
                        include_once( ABSPATH . 'wp-admin/includes/plugin-install.php' );
                        include_once( ABSPATH . 'wp-admin/includes/file.php' );
                        include_once( ABSPATH . 'wp-admin/includes/misc.php' );
                        include_once( ABSPATH . 'wp-admin/includes/class-wp-upgrader.php' );
            
                        // Download and install Classic Blog Grid
                        $building_contractor_upgrader = new Plugin_Upgrader();
                        $building_contractor_upgrader->install( 'https://downloads.wordpress.org/plugin/classic-blog-grid.latest-stable.zip' );
                    }
            
                    // Activate the Classic Blog Grid plugin after installation (if needed)
                    activate_plugin( $building_contractor_plugin_file );
                }
            }
        echo '</div>';
        
        // ------- Create Main Menu --------
        $building_contractor_menuname = 'Primary Menu';
        $building_contractor_bpmenulocation = 'primary';
        $building_contractor_menu_exists = wp_get_nav_menu_object( $building_contractor_menuname );
    
        if ( !$building_contractor_menu_exists ) {
            $building_contractor_menu_id = wp_create_nav_menu( $building_contractor_menuname );

            // Create Home Page
            $building_contractor_home_title = 'Home';
            $building_contractor_home = array(
                'post_type'    => 'page',
                'post_title'   => $building_contractor_home_title,
                'post_content' => '',
                'post_status'  => 'publish',
                'post_author'  => 1,
                'post_slug'    => 'home'
            );
            $building_contractor_home_id = wp_insert_post($building_contractor_home);
            // Assign Home Page Template
            add_post_meta($building_contractor_home_id, '_wp_page_template', 'templates/template-home-page.php');
            // Update options to set Home Page as the front page
            update_option('page_on_front', $building_contractor_home_id);
            update_option('show_on_front', 'page');
            // Add Home Page to Menu
            wp_update_nav_menu_item($building_contractor_menu_id, 0, array(
                'menu-item-title' => __('Home', 'building-contractor'),
                'menu-item-classes' => 'home',
                'menu-item-url' => home_url('/'),
                'menu-item-status' => 'publish',
                'menu-item-object-id' => $building_contractor_home_id,
                'menu-item-object' => 'page',
                'menu-item-type' => 'post_type'
            ));

            // Create a new Page 
            $building_contractor_pages_title = 'Pages';
            $building_contractor_pages_content = '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>';
            $building_contractor_pages = array(
                'post_type'    => 'page',
                'post_title'   => $building_contractor_pages_title,
                'post_content' => $building_contractor_pages_content,
                'post_status'  => 'publish',
                'post_author'  => 1,
                'post_slug'    => 'pages'
            );
            $building_contractor_pages_id = wp_insert_post($building_contractor_pages);
            // Add Pages Page to Menu
            wp_update_nav_menu_item($building_contractor_menu_id, 0, array(
                'menu-item-title' => __('Pages', 'building-contractor'),
                'menu-item-classes' => 'pages',
                'menu-item-url' => home_url('/pages/'),
                'menu-item-status' => 'publish',
                'menu-item-object-id' => $building_contractor_pages_id,
                'menu-item-object' => 'page',
                'menu-item-type' => 'post_type'
            ));

            // Create About Us Page with Dummy Content
            $building_contractor_about_title = 'About Us';
            $building_contractor_about_content = '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>';
            $building_contractor_about = array(
                'post_type'    => 'page',
                'post_title'   => $building_contractor_about_title,
                'post_content' => $building_contractor_about_content,
                'post_status'  => 'publish',
                'post_author'  => 1,
                'post_slug'    => 'about-us'
            );
            $building_contractor_about_id = wp_insert_post($building_contractor_about);
            // Add About Us Page to Menu
            wp_update_nav_menu_item($building_contractor_menu_id, 0, array(
                'menu-item-title' => __('About Us', 'building-contractor'),
                'menu-item-classes' => 'about-us',
                'menu-item-url' => home_url('/about-us/'),
                'menu-item-status' => 'publish',
                'menu-item-object-id' => $building_contractor_about_id,
                'menu-item-object' => 'page',
                'menu-item-type' => 'post_type'
            ));

            // Assign the menu to the primary location if not already set
            if ( ! has_nav_menu( $building_contractor_bpmenulocation ) ) {
                $building_contractor_locations = get_theme_mod( 'nav_menu_locations' );
                if ( empty( $building_contractor_locations ) ) {
                    $building_contractor_locations = array();
                }
                $building_contractor_locations[ $building_contractor_bpmenulocation ] = $building_contractor_menu_id;
                set_theme_mod( 'nav_menu_locations', $building_contractor_locations );
            }
        }

        //Logo
        set_theme_mod( 'building_contractor_the_custom_logo', esc_url( get_template_directory_uri().'/images/Logo.png'));

        //Header Section
        set_theme_mod( 'building_contractor_top_text', 'Welcome to Construct');

       //Slider Section
       set_theme_mod( 'building_contractor_slider', true);
       set_theme_mod( 'building_contractor_slider_top_text', '25 Years Of Experiece');
       set_theme_mod( 'building_contractor_button_text', 'Explore Services');
       set_theme_mod( 'building_contractor_button_link_slider', '#');

       $building_contractor_featured_category_id = wp_create_category('Contractor');
       set_theme_mod('building_contractor_slider_cat', 'Contractor');

       $building_contractor_titles = array(
        'We Build Your Dream Home.', 
        'Crafting Spaces, Creating Futures.', 
        'Turning Vision Into Reality.'
       ); 
       $building_contractor_content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore';

       for ($building_contractor_i = 0; $building_contractor_i < 3; $building_contractor_i++) {
           set_theme_mod('building_contractor_title' . ($building_contractor_i + 1), $building_contractor_titles[$building_contractor_i]);

           $building_contractor_my_post = array(
               'post_title'    => wp_strip_all_tags($building_contractor_titles[$building_contractor_i]),
               'post_content'  => $building_contractor_content,
               'post_status'   => 'publish',
               'post_type'     => 'post',
               'post_category' => array($building_contractor_featured_category_id),
           );

           $building_contractor_post_id = wp_insert_post($building_contractor_my_post);

           if (!is_wp_error($building_contractor_post_id)) {
               $building_contractor_image_url = get_template_directory_uri() . '/images/slider' . ($building_contractor_i + 1) . '.png';
               $building_contractor_image_id = media_sideload_image($building_contractor_image_url, $building_contractor_post_id, null, 'id');
               if (!is_wp_error($building_contractor_image_id)) {
                   set_post_thumbnail($building_contractor_post_id, $building_contractor_image_id);
               } else {
                   error_log('Failed to set post thumbnail for post ID: ' . $building_contractor_post_id);
               }
           } else {
               error_log('Failed to create post: ' . print_r($building_contractor_post_id, true));
           }
       }

       //Our Services
       set_theme_mod( 'building_contractor_headingtext1', 'Our Services');
       set_theme_mod( 'building_contractor_headingtext_para', 'We will satisfy you by our servicing plan');
       set_theme_mod( 'building_contractor_post_button_text', 'Read More');

       $building_contractor_featured_category_id = wp_create_category('Services');
       set_theme_mod('building_contractor_blog_cat', $building_contractor_featured_category_id);

       $building_contractor_titles = array('Interior Design', 'Mental Roofing', 'House Remodel', 'Material Supply', 'House Construction');
       $building_contractor_content = 'Lorem Ipsum is simply dummy text of the printing';

       for ($building_contractor_i = 0; $building_contractor_i < 5; $building_contractor_i++) {
           set_theme_mod('building_contractor_title' . ($building_contractor_i + 1), $building_contractor_titles[$building_contractor_i]);

           $building_contractor_my_post = array(
               'post_title'    => wp_strip_all_tags($building_contractor_titles[$building_contractor_i]),
               'post_content'  => $building_contractor_content,
               'post_status'   => 'publish',
               'post_type'     => 'post',
               'post_category' => array($building_contractor_featured_category_id),
           );

           $building_contractor_post_id = wp_insert_post($building_contractor_my_post);

           if (!is_wp_error($building_contractor_post_id)) {
               $building_contractor_image_url = get_template_directory_uri() . '/images/service' . ($building_contractor_i + 1) . '.png';
               $building_contractor_image_id = media_sideload_image($building_contractor_image_url, $building_contractor_post_id, null, 'id');
               if (!is_wp_error($building_contractor_image_id)) {
                   set_post_thumbnail($building_contractor_post_id, $building_contractor_image_id);
               } else {
                   error_log('Failed to set post thumbnail for post ID: ' . $building_contractor_post_id);
               }
           } else {
               error_log('Failed to create post: ' . print_r($building_contractor_post_id, true));
           }
       }

        //Footer Copyright Text
        set_theme_mod( 'building_contractor_copyright_line', 'Building Contractor WordPress Theme' );

        // Show success message and the "View Site" button
        update_option('building_contractor_demo_import_completed', true);
        echo '<br>';
        echo '<div class="success">Demo Import Successful</div>';
        echo '<br>';
        echo '<hr>';
        echo '<br>';
        echo '<span>' . esc_html__( 'You can now visit your site or customize it further.', 'building-contractor' ) . '</span>';
        echo '<br>';
    }
     ?>
    <ul>
        <li>
        <?php 
        // Check if the form is submitted
        if ( !isset( $_POST['submit'] ) ) : ?>
            <!-- Show demo importer form only if it's not submitted -->
            <?php if (!get_option('building_contractor_demo_import_completed')) : ?>
                <span><?php echo esc_html( 'Click on the below content to get demo content installed.', 'building-contractor' ); ?></span>
                <br><br>
                <hr><br>
                <b class="note"><?php echo esc_html('Note :', 'building-contractor' ); ?></b><br><br>
                <small><b><?php echo esc_html('Please take a backup if your website is already live with data. This importer will overwrite existing data.', 'building-contractor' ); ?></b></small><br><br>
                <form id="demo-importer-form" action="" method="POST" onsubmit="return runDemoImport();">
                    <input type="submit" name="submit" value="<?php echo esc_attr('Run Importer','building-contractor'); ?>" class="button button-primary button-large">
                </form>
                <script type="text/javascript">
                    function runDemoImport() {
                        if (confirm('Do you really want to do this?')) {
                            document.getElementById('demo-import-loader').style.display = 'block';
                            return true;
                        }
                        return false;
                    }
                </script>
             <?php endif; ?>
         <?php 
        endif; 

        // Show "View Site" button after form submission
        if ( isset( $_POST['submit'] ) ) {
        echo '<div class="view-site-btn">';
        echo '<a href="' . esc_url(home_url()) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">View Site</a>';
        echo '<a href="' . esc_url( admin_url('customize.php') ) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">Customize Demo Content</a>';
        echo '</div>';
        }
        ?>
        </li>
    </ul>
 </div>